gnutls_x509_crq_get_pk_algorithm(3)

NAME
gnutls_x509_crq_get_pk_algorithm - API function

SYNOPSIS
#include <gnutls/x509.h>

int gnutls_x509_crq_get_pk_algorithm(gnutls_x509_crq_t crq, unsigned int * bits);

ARGUMENTS

gnutls_x509_crq_t crq
    should contain a gnutls_x509_crq_t structure

unsigned int * bits
    if bits is non-NULL it will hold the size of the parameters' in bits

DESCRIPTION
This function will return the public key algorithm of a PKCS10 certificate request. If bits is non-NULL, it should have enough size to hold the parameters size in bits. For RSA the bits returned is the modulus. For DSA the bits returned are of the public exponent.

RETURNS
a member of the gnutls_pk_algorithm_t enumeration on success, or a negative error code on error.

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>.
General guidelines for reporting bugs: http://www.gnu.org/gethelp/
GnuTLS home page: http://www.gnu.org/software/gnutls/

COPYRIGHT
Copyright © 2012 Free Software Foundation, Inc..
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual. As an alternative you may obtain the manual from:

    http://www.gnu.org/software/gnutls/manual/